| v_sdirxss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XV_SdiRxSs Struct Reference

The XV_SdiRxSs driver instance data. More...

## Data Fields
XV_SdiRxSs_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Core and the driver instance are initialized. More...
XV_SdiRxSs_Log | Log
| A log of events. More...
XV_SdiRx * | SdiRxPtr
| handle to sub-core driver instance More...
XV_SdiRxSs_Callback | StreamDownCallback
| Callback for stream down event. More...
void * | StreamDownRef
| To be passed to the stream down callback. More...
XV_SdiRxSs_Callback | StreamUpCallback
| Callback for stream up event. More...
void * | StreamUpRef
| To be passed to the stream up callback. More...
XV_SdiRxSs_Callback | OverFlowCallback
| Callback for Over flow event. More...
void * | OverFlowRef
| To be passed to the Over flow callback. More...
XV_SdiRxSs_Callback | UnderFlowCallback
| Callback for Under Flow event. More...
void * | UnderFlowRef
| To be passed to the Under Flow callback. More...
XV_SdiRxSs_Callback | VsyncCallback
| Callback for Vsync event. More...
void * | VsyncRef
| To be passed to the Vsync callback. More...
u8 | IsStreamUp
| SDI RX Stream Up. More...

## Detailed Description

The XV_SdiRxSs driver instance data.

An instance must be allocated for each SDI RX core in use.

## Field Documentation

XV_SdiRxSs_Config XV_SdiRxSs::Config

Hardware Configuration.

Referenced by main(), XV_SdiRxSs_CfgInitialize(), and XV_SdiRxSs_SubcoreInitSdiRx().

u32 XV_SdiRxSs::IsReady

Core and the driver instance are initialized.

Referenced by main(), and XV_SdiRxSs_CfgInitialize().

u8 XV_SdiRxSs::IsStreamUp

SDI RX Stream Up.

Referenced by XV_SdiRxSs_IsStreamUp().

XV_SdiRxSs_Log XV_SdiRxSs::Log

A log of events.

Referenced by XV_SdiRxSs_LogRead(), XV_SdiRxSs_LogReset(), and XV_SdiRxSs_LogWrite().

XV_SdiRxSs_Callback XV_SdiRxSs::OverFlowCallback

Callback for Over flow event.

Referenced by XV_SdiRxSs_SetCallback().

void* XV_SdiRxSs::OverFlowRef

To be passed to the Over flow callback.

Referenced by XV_SdiRxSs_SetCallback().

XV_SdiRx* XV_SdiRxSs::SdiRxPtr

handle to sub-core driver instance

Referenced by XV_SdiRxSs_CfgInitialize(), XV_SdiRxSs_ClearYCbCr444_RGB_10bit(), XV_SdiRxSs_GetVideoStream(), XV_SdiRxSs_HandleNoPayload(), XV_SdiRxSs_IntrDisable(), XV_SdiRxSs_IntrEnable(), XV_SdiRxSs_ReportCoreInfo(), XV_SdiRxSs_ReportDebugInfo(), XV_SdiRxSs_ReportInfo(), XV_SdiRxSS_SdiRxIntrHandler(), XV_SdiRxSs_SelfTest(), XV_SdiRxSs_SetYCbCr444_RGB_10bit(), XV_SdiRxSs_Start(), XV_SdiRxSs_Stop(), XV_SdiRxSs_StreamFlowDisable(), XV_SdiRxSs_StreamFlowEnable(), XV_SdiRxSs_SubcoreInitSdiRx(), and XV_SdiRxSs_WaitforPayLoad().

XV_SdiRxSs_Callback XV_SdiRxSs::StreamDownCallback

Callback for stream down event.

Referenced by XV_SdiRxSs_SetCallback().

void* XV_SdiRxSs::StreamDownRef

To be passed to the stream down callback.

Referenced by XV_SdiRxSs_SetCallback().

XV_SdiRxSs_Callback XV_SdiRxSs::StreamUpCallback

Callback for stream up event.

Referenced by XV_SdiRxSs_SetCallback().

void* XV_SdiRxSs::StreamUpRef

To be passed to the stream up callback.

Referenced by XV_SdiRxSs_SetCallback().

XV_SdiRxSs_Callback XV_SdiRxSs::UnderFlowCallback

Callback for Under Flow event.

Referenced by XV_SdiRxSs_SetCallback().

void* XV_SdiRxSs::UnderFlowRef

To be passed to the Under Flow callback.

Referenced by XV_SdiRxSs_SetCallback().

XV_SdiRxSs_Callback XV_SdiRxSs::VsyncCallback

Callback for Vsync event.

Referenced by XV_SdiRxSs_SetCallback().

void* XV_SdiRxSs::VsyncRef

To be passed to the Vsync callback.

Referenced by XV_SdiRxSs_SetCallback().